[Overview][Types][Classes][Index] | Reference for unit 'process' (#fcl)

# TProcess.Environment

Environment variables for the new process

## Declaration

Source position: process.pp line 123

`published property TProcess.Environment: TStrings read FEnvironment write SetEnvironment;`

## Description

Environment contains the environment for the new process; it's a list of Name=Value pairs, one per line.

If it is empty, the environment of the current process is passed on to the new process.

## See also

TProcess.Options |  | Options to be used when starting the process.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .